/*************************************************
Copyright (C), 2000-2010, Sumavision Tech. Co., Ltd.
File name: 		card_common.js  
Author:			wangyuqi
Version:		v1.0
Date: 			2013/10/28
Description:  	C525CI卡页面公用js代码模块
*************************************************/
//type value
var CARD_CONFIG = 1;
var RF_MONITOR = 2;
var RF_CONFIG = 3;
var CAM_SYSTEM = 4;
var CAM_DESCRAMB = 5;
var CAM_DESCRAMB_STATUS = 6;
var CAM_INPUT_MONITOR = 7;
var CAM_OUTPUT_MONITOR = 8;
var BISS_SYSTEM = 9;
var BISS_PARAM = 10;
var BISS_PROG = 11;
var BISS_PROG_STATUS = 12;
var BISS_INPUT_MONITOR = 13;
var BISS_OUTPUT_MONITOR = 14;

var CARD_CHECK = 0xcc;


var errorEn = ["",
			   "The parameter value is illegal!"];

var errorCn = ["",
			   "非法参数值！"];
			   
var returnError = [errorEn, errorCn];

/*************************************************
Function: 		pageJump
Description: 	端口页面横向跳转的函数
Input: 			index: 2-PORT_CONFIG; 3-PORT_MONITOR
Output: 		无
Return: 		无
Others: 		无
*************************************************/
function pageJump(index)
{
	if(index == RF_MONITOR)
	{
		self.location.replace("rf" + pageLanguage[language] + "?slotNo=" + slotNo + "&portNo=" + portNo);
 	}
	else if(index == RF_CONFIG)
 	{
		self.location.replace("rf_config" + pageLanguage[language] + "?slotNo=" + slotNo + "&portNo=" + portNo);
	}
 	else if(index == CAM_SYSTEM)
 	{
		self.location.replace("cam_system" + pageLanguage[language] + "?slotNo=" + slotNo + "&portNo=" + portNo);
	}
 	else if(index == CAM_DESCRAMB)
 	{
		self.location.replace("cam_descramble" + pageLanguage[language] + "?slotNo=" + slotNo + "&portNo=" + portNo);
	}
 	else if(index == CAM_INPUT_MONITOR)
 	{
		self.location.replace("cam_input" + pageLanguage[language] + "?slotNo=" + slotNo + "&portNo=" + portNo);
	}
 	else if(index == CAM_OUTPUT_MONITOR)
 	{
		self.location.replace("cam_output" + pageLanguage[language] + "?slotNo=" + slotNo + "&portNo=" + portNo);
	}
 	else if(index == BISS_SYSTEM)
 	{
		self.location.replace("biss_system" + pageLanguage[language] + "?slotNo=" + slotNo + "&portNo=" + portNo);
	}
 	else if(index == BISS_PARAM)
 	{
		self.location.replace("biss_param" + pageLanguage[language] + "?slotNo=" + slotNo + "&portNo=" + portNo);
	}
 	else if(index == BISS_PROG)
 	{
		self.location.replace("biss_prog" + pageLanguage[language] + "?slotNo=" + slotNo + "&portNo=" + portNo);
	}
 	else if(index == BISS_INPUT_MONITOR)
 	{
		self.location.replace("biss_input" + pageLanguage[language] + "?slotNo=" + slotNo + "&portNo=" + portNo);
	}
 	else if(index == BISS_OUTPUT_MONITOR)
 	{
		self.location.replace("biss_output" + pageLanguage[language] + "?slotNo=" + slotNo + "&portNo=" + portNo);
	}
}